Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		farsight
#Epoch:		0
Version:	0.1.28
Release:	1
License:	GNU/LGPLv2.1
URL:		http://farsight.freedesktop.org/wiki/
Group:		System/Libraries
Summary:	audio/video conferencing protocols framework
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		farsight-0.1.26-gcc43.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: clinkc-devel
BuildRequires: glib-devel
BuildRequires: glibc-devel
BuildRequires: gstreamer10-devel
BuildRequires: libxml2-devel
BuildRequires: pkg-config

%description
The Farsight project is an effort to create a framework to deal with all known audio/video conferencing protocols. On one side it offers a generic API that makes it possible to write plugins for different streaming protocols, on the other side it offers an API for clients to use those plugins.

The main target clients for Farsight are Instant Messaging applications. These applications should be able to use Farsight for all their Audio/Video conferencing needs without having to worry about any of the lower level streaming and NAT traversal issues.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure \
--prefix=%_prefix \
--sysconfdir=%_sysconfdir \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/farsight/
%{_libdir}/farsight-0.1-3/
%{_libdir}/libfarsight-0.1.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/farsight-0.1/   
%{_pkgconfig}/farsight-0.1.pc
%{_libdir}/libfarsight-0.1.so
%{_libdir}/libfarsight-0.1.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.1.28.tar.gz.1-1
- initial CCux package release
